<%@Page Language="VB" %>

<script runat="server">


Class MyStringCollection 
	Inherits CollectionBase

	Overrides Protected Sub OnInsert( index as Integer, _	
				  item as Object )

		if not (typeof item is string) then
			throw new ArgumentException("Collection only supports strings")
		end if
		
	End Sub

End Class


</script>

<%

	dim names as IList

	names = new MyStringCollection

	names.Add("Richard")
	names.Add("Alex")
	names.Add("Dave")
	names.Add( 2002 )

	dim name as string

	for each name in names

		Response.Write( name & "<BR />" )
	next 
%>
